Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2037096 - livecd-creator fails to add EFI boot option; creates legacy boot iso only
Summary: livecd-creator fails to add EFI boot option; creates legacy boot iso only
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: 34
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-04 22:42 UTC by skeeter9807
Modified: 2022-01-13 01:05 UTC (History)
8 users (show)

Fixed In Version: livecd-tools-28.3-4.fc34 livecd-tools-28.3-4.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-13 00:59:51 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description skeeter9807 2022-01-04 22:42:16 UTC
Description of problem: livecd-creator creates legacy boot image reliably, but fails to create an image with EFI boot option.  F33, using same kickstart, reliably created an image with EFI boot option. 


Version-Release number of selected component (if applicable):  F34 (F35 also has same issue).


How reproducible: always


Steps to Reproduce:
1.  run livecd-creator
2.
3.

Actual results:  livecd-creator creates legacy boot image


Expected results:  livecd-creator should create an image that will boot both legacy and EFI


Additional info:

#########################
# snippet from logfile: #
#########################

.
.
.
Installed: zvbi-0.2.35-13.fc34.x86_64
The 'rhgb' entity is not available.
The '/usr/lib/anaconda-runtime/checkisomd5' entity is not available.
Missing EFI file (/boot/efi/EFI/*/fonts/unicode.pf2)
Failed to copy EFI files, no EFI Support will be included.
Missing initial EFI bootloader, skipping efiboot.img creation.
Unmounting directory /home/xxx/xxx/imgcreate-njvu06x7/install_root
Losetup remove /dev/loop0
Checking filesystem /home/xxx/xxx/imgcreate-njvu06x7/tmp-j4q9v017/ext3fs.img
e2fsck
1.45.6
(20-Mar-2020)
Pass
1:
Checking
inodes,
.
.
.

##############################################################################
# Note 1:  Unicode fonts reported missing by logfile exist on build machine: #
##############################################################################

# pwd
/boot/efi
# ls -R
.:
EFI  mach_kernel  System

./EFI:
BOOT  fedora

./EFI/BOOT:
BOOTIA32.EFI  BOOTX64.EFI  fbia32.efi  fbx64.efi

./EFI/fedora:
BOOTIA32.CSV  gcdia32.efi  grubia32.efi  mmx64.efi     shimx64.efi
BOOTX64.CSV   gcdx64.efi   grubx64.efi   shim.efi
fonts         grub.cfg     mmia32.efi    shimia32.efi

./EFI/fedora/fonts:
ascii.pf2  euro.pf2  unicode.pf2

./System:
Library

./System/Library:
CoreServices

./System/Library/CoreServices:
SystemVersion.plist
# 

#######################################################
# Note 2:  Neither F34 nor F35 install adds the fonts # 
#######################################################

I had to add the subdirectory and file(s) manually. F33 added the fonts during install.

###################################
# Note 3: For what it is worth... #
###################################

In case it helps diagnose this problem, during the fall of 2021 livecd-iso-to-disk was upgraded, but at the same time EFI boot option disappeared for a few days before being restored.  Not sure if this was just a coincidence, but if whatever was done last fall to restore EFI boot could be done again, maybe it will fix this bug!

Comment 1 skeeter9807 2022-01-04 22:59:11 UTC
For Note 3 above:  ...EFI boot option disappeared from *F33* images build with livecd-creator...

Comment 2 Neal Gompa 2022-01-04 23:14:56 UTC
Hmm, something must have changed in how the EFI files are structured in the shim and grub2 packages...

Comment 3 Fedora Update System 2022-01-11 16:27:01 UTC
FEDORA-2022-066c59da03 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-066c59da03

Comment 4 Fedora Update System 2022-01-11 16:27:03 UTC
FEDORA-2022-8c1f3b9114 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-8c1f3b9114

Comment 5 Fedora Update System 2022-01-11 21:40:13 UTC
FEDORA-2022-066c59da03 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-066c59da03

Comment 6 Fedora Update System 2022-01-11 21:40:27 UTC
FEDORA-2022-8c1f3b9114 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-8c1f3b9114

Comment 7 Fedora Update System 2022-01-12 01:49:09 UTC
FEDORA-2022-066c59da03 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-066c59da03`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-066c59da03

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-01-12 02:00:42 UTC
FEDORA-2022-8c1f3b9114 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-8c1f3b9114`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-8c1f3b9114

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-01-13 00:59:51 UTC
FEDORA-2022-8c1f3b9114 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-01-13 01:05:48 UTC
FEDORA-2022-066c59da03 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.